Update an API endpoint
Update API endpoint code, settings, and authentication rules
Authentication: required
PUT
/
workspace
/
{workspace_id}
/
apigroup
/
{apigroup_id}
/
api
/
{api_id}
Update an API endpoint
curl --request PUT \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/apigroup/{apigroup_id}/api/{api_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: text/x-xanoscript' \
--data 'query foo verb=GET {
input {
int score
}
stack {
var $x1 {
value = $input.score + 1
}
}
response = $x1
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/apigroup/{apigroup_id}/api/{api_id}"
payload = "query foo verb=GET {\n input {\n int score\n }\n stack {\n var $x1 {\n value = $input.score + 1\n }\n }\n response = $x1\n}\n"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "text/x-xanoscript"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'text/x-xanoscript'},
body: 'query foo verb=GET {\n input {\n int score\n }\n stack {\n var $x1 {\n value = $input.score + 1\n }\n }\n response = $x1\n}\n'
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/apigroup/{apigroup_id}/api/{api_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
text/x-xanoscriptmultipart/form-dataapplication/json
The body is of type string.
Example:
"query foo verb=GET {\n input {\n int score\n }\n stack {\n var $x1 {\n value = $input.score + 1\n }\n }\n response = $x1\n}\n"
Response
Success!
Was this page helpful?
Retrieve a specific API endpoint by ID
Previous
Delete an API endpoint permanently. This action cannot be undone
Next
⌘I
Update an API endpoint
